- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QFontMetricsF Class Reference

Search for all occurrences

## Detailed Description

Definition at line 140 of file qfontmetrics.h.

`#include <qfontmetrics.h>`

List of all members.

## Public Member Functions
| QFontMetricsF (const QFont &)
| QFontMetricsF (const QFont &, QPaintDevice *pd)
| QFontMetricsF (const QFontMetrics &)
| QFontMetricsF (const QFontMetricsF &)
| ~QFontMetricsF ()
QFontMetricsF & | operator= (const QFontMetricsF &)
QFontMetricsF & | operator= (const QFontMetrics &)
qreal | ascent () const
qreal | descent () const
qreal | height () const
qreal | leading () const
qreal | lineSpacing () const
qreal | minLeftBearing () const
qreal | minRightBearing () const
qreal | maxWidth () const
qreal | xHeight () const
qreal | averageCharWidth () const
bool | inFont (QChar) const
qreal | leftBearing (QChar) const
qreal | rightBearing (QChar) const
qreal | width (const QString &string) const
qreal | width (QChar) const
QRectF | boundingRect (const QString &string) const
QRectF | boundingRect (QChar) const
QRectF | boundingRect (const QRectF &r, int flags, const QString &string, int tabstops=0, int *tabarray=0) const
QSizeF | size (int flags, const QString &str, int tabstops=0, int *tabarray=0) const
QRectF | tightBoundingRect (const QString &text) const
QString | elidedText (const QString &text, Qt::TextElideMode mode, qreal width, int flags=0) const
qreal | underlinePos () const
qreal | overlinePos () const
qreal | strikeOutPos () const
qreal | lineWidth () const
bool | operator== (const QFontMetricsF &other)
bool | operator== (const QFontMetricsF &other) const
bool | operator!= (const QFontMetricsF &other)
bool | operator!= (const QFontMetricsF &other) const

## Constructor & Destructor Documentation

QFontMetricsF | ( | const QFont & |  | ) |

QFontMetricsF | ( | const QFont & | ,
|  | QPaintDevice * | pd
| ) |  |

QFontMetricsF | ( | const QFontMetrics & |  | ) |

QFontMetricsF | ( | const QFontMetricsF & |  | ) |

~QFontMetricsF | ( |  | ) |

## Member Function Documentation

QFontMetricsF& operator= | ( | const QFontMetricsF & |  | ) |

QFontMetricsF& operator= | ( | const QFontMetrics & |  | ) |

qreal ascent | ( |  | ) | const

Search for all occurrences

qreal descent | ( |  | ) | const

Search for all occurrences

qreal height | ( |  | ) | const

Search for all occurrences

qreal leading | ( |  | ) | const

Search for all occurrences

qreal lineSpacing | ( |  | ) | const

Search for all occurrences

qreal minLeftBearing | ( |  | ) | const

Search for all occurrences

qreal minRightBearing | ( |  | ) | const

Search for all occurrences

qreal maxWidth | ( |  | ) | const

Search for all occurrences

qreal xHeight | ( |  | ) | const

Search for all occurrences

qreal averageCharWidth | ( |  | ) | const

Search for all occurrences

bool inFont | ( | QChar |  | ) | const

Search for all occurrences

qreal leftBearing | ( | QChar |  | ) | const

Search for all occurrences

qreal rightBearing | ( | QChar |  | ) | const

Search for all occurrences

qreal width | ( | const QString & | string | ) | const

Search for all occurrences

qreal width | ( | QChar |  | ) | const

Search for all occurrences

QRectF boundingRect | ( | const QString & | string | ) | const

Search for all occurrences

QRectF boundingRect | ( | QChar |  | ) | const

Search for all occurrences

QRectF boundingRect | ( | const QRectF & | r,
|  | int | flags,
|  | const QString & | string,
|  | int | tabstops = `0`,
|  | int * | tabarray = `0`
| ) |  | const

Search for all occurrences

QSizeF size | ( | int | flags,
|  | const QString & | str,
|  | int | tabstops = `0`,
|  | int * | tabarray = `0`
| ) |  | const

Search for all occurrences

QRectF tightBoundingRect | ( | const QString & | text | ) | const

Search for all occurrences

QString elidedText | ( | const QString & | text,
|  | Qt::TextElideMode | mode,
|  | qreal | width,
|  | int | flags = `0`
| ) |  | const

Search for all occurrences

qreal underlinePos | ( |  | ) | const

Search for all occurrences

qreal overlinePos | ( |  | ) | const

Search for all occurrences

qreal strikeOutPos | ( |  | ) | const

Search for all occurrences

qreal lineWidth | ( |  | ) | const

Search for all occurrences

bool operator== | ( | const QFontMetricsF & | other | ) |

bool operator== | ( | const QFontMetricsF & | other | ) | const

bool operator!= | ( | const QFontMetricsF & | other | ) | `[inline]`

Definition at line 188 of file qfontmetrics.h.

    { return !operator==(other); } // 5.0 - remove me

bool operator!= | ( | const QFontMetricsF & | other | ) | const `[inline]`

Definition at line 189 of file qfontmetrics.h.

    { return !operator==(other); }

The documentation for this class was generated from the following file:

- QtGui/qfontmetrics.h

QFontMetricsF QFontMetricsF QFontMetricsF QFontMetricsF QFontMetricsF QFontMetricsF QFontMetricsF QFontMetricsF QFontMetricsF QFontMetricsF
QFontMetricsF QFontMetricsF QFontMetricsF QFontMetricsF QFontMetricsF QFontMetricsF QFontMetricsF QFontMetricsF QFontMetricsF QFontMetricsF